# src/ecommerce_toolkit/models/product.py
from dataclasses import dataclass
from typing import Optional

@dataclass
class Product:
    id: str
    name: str
    price: float
    stock: int
    description: Optional[str] = None
